<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

    <title>Operater</title>

    <style>
        li {
            width: 150px;
            padding: 5px;
        }
        li:hover, tbody tr:hover {
            background-color: bisque;
            cursor: pointer;
        }
        div {
            display: inline-block;
            margin: 0px 30px;
        }
        table {
            display: inline-block;
            vertical-align: top;
            margin: 0px 30px;
        }
        th, td {
            border: 1px solid black;
            padding: 5px;
        }
    </style>
</head>
<body>
    <h1>Operater <span id="operater"></span></h1>
    <p>Svake 2 sekunde API proverava da li ima novih narucenih. Ako ima vise otvorenih 'Operater'-a racun dolazi samo kod jednog. Klik na 'Isporuci' salje status u bazu.</p>

    <table>
        <thead>
            <tr>
                <th>Kat</th>
                <th>Art</th>
                <th>Cena</th>
            </tr>
        </thead>
        <tbody id="stavke"></tbody>
    </table>

    <div>
        <h4>Sto broj: <span id="sto_broj"></span></h4>
        <h2>Ukupno: <span id="ukupno">0.00</span></h2>
        <button id="isporuci">Isporuci</button>
    </div>



    <br>
    <pre id="info"></pre>
    
    <script>
        $(document).ready(function(){
            $('#operater').text(Math.floor((Math.random() * 100) + 1));
            setInterval(function() {
                if($('#stavke').html() == '') {
                    $.ajax({
                        url: "/api/zaisporuku1",
                        type: "PUT",
                        data: JSON.stringify({'op_id': $('#operater').text()}),
                        contentType: "application/json;charset=utf-8",
                        beforeSend: function(xhr, settings) {
                            xhr.setRequestHeader("X-CSRFToken", '{{ csrf_token }}');
                        },
                        success: function (response) {
                            $('#info').html(JSON.stringify(response, null, 4));
                            $.each(response[0].articles, function(index, d) {
                                $('#stavke').append('<tr><td>' + d.cat + '</td><td>'  + d.art + '</td><td>' + d.price + '</td></tr>');
                            });

                            $('#sto_broj').text(response[0].sto);
                            $('#ukupno').text(response[0].ukupno);
                            $('#isporuci').data('rn_id', response[0].id);
                        },
                        error: function(jqXHR, textStatus, errorThrown) {
                            $('#info').html(JSON.stringify(jqXHR.responseText));
                        }
                    });
                }
            }, 2000);

            $('#isporuci').click(function(){
                $.ajax({
                    url: "/api/isporuci",
                    type: "PUT",
                    data: JSON.stringify({'rn_id': $(this).data('rn_id')}),
                    contentType: "application/json;charset=utf-8",
                    beforeSend: function(xhr, settings) {
                        xhr.setRequestHeader("X-CSRFToken", '{{ csrf_token }}');
                    },
                    success: function (response) {
                        $('#info').text(JSON.stringify(response));
                        $('#sto_broj').text('');
                        $('#ukupno').text('0.00');
                        $('#stavke').html('');
                        
                    },
                    error: function(jqXHR, textStatus, errorThrown) {
                        $('#info').html(JSON.stringify(jqXHR.responseText));
                    }
                });

            })
        });
    </script>
</body>
</html>